Relatório de vendas
GET
Vendas: negócios ganhos e perdidos, valor e o funil por etapa e vendedor. period é today, 7d, 30d (padrão), 90d ou custom com from e to.
Escopo: pipelines:read
bearer pipelines:readheader
AutorizaçãoBearer <token>A chave de API de uma conta de serviço (sk_live_…, 600 requisições por minuto cada) ou um access token OAuth para o recurso /api/v1 (600 requisições por minuto por conexão).
Escopo: pipelines:read
period?stringValor em
"today""7d""30d""90d""custom"from?stringYYYY-MM-DD, with period custom.
Padrão
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Formato
dateto?stringYYYY-MM-DD, with period custom.
Padrão
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Formato
datenumber?stringA number's id, from list_numbers.
Tamanho
1 <= length <= 100team?stringA team's id, from list_teams.
Tamanho
1 <= length <= 100agent?stringA member's id, from list_members.
Tamanho
1 <= length <= 100automation?stringTamanho
1 <= length <= 100campaign?stringTamanho
1 <= length <= 100pipeline?stringTamanho
1 <= length <= 100origin?stringValor em
"direct""form""import""campaign""team"Feito.
application/json- response
workspace*stringrange*now*stringFormato
date-timetime_zone*stringpipeline*pipelines*array<>value*numberchange*number|nullwon*integerIntervalo
-9007199254740991 <= value <= 9007199254740991opportunities*integerIntervalo
-9007199254740991 <= value <= 9007199254740991converted*integerIntervalo
-9007199254740991 <= value <= 9007199254740991ticket*number|nullclose_days*number|nullfunnel*array<>deals*array<>loss*|nullorigins*array<>agents*array<>Exemplo de requisição
curl -X GET 'https://app.zaplin.com.br/api/v1/reports/sales' \ -H 'Authorization: Bearer sk_live_...'Exemplo de resposta
{ "workspace": "string", "range": { "from": "2026-10-17", "to": "2026-10-17", "days": 0, "previous": { "from": "2026-10-17", "to": "2026-10-17" } }, "now": "2026-10-17T12:00:00.000Z", "time_zone": "string", "pipeline": { "id": "string", "name": "string", "has_value": false }, "pipelines": [ { "id": "string", "name": "string", "has_value": false } ], "value": 0, "change": 0, "won": 0, "opportunities": 0, "converted": 0, "ticket": 0, "close_days": 0, "funnel": [ { "id": "string", "name": "string", "count": 0 } ], "deals": [ { "title": "string", "owner": "string", "value": 0, "won_at": "2026-10-17T12:00:00.000Z" } ], "loss": { "from": "string", "to": "string", "count": 0 }, "origins": [ { "origin": "direct", "value": 0, "count": 0 } ], "agents": [ { "id": "string", "name": "string", "won": 0, "value": 0, "opportunities": 0, "converted": 0 } ]}